<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_plantoes = array();
	$tdatasenuc_plantoes[".NumberOfChars"] = 80; 
	$tdatasenuc_plantoes[".ShortName"] = "senuc_plantoes";
	$tdatasenuc_plantoes[".OwnerID"] = "id_nucleo";
	$tdatasenuc_plantoes[".OriginalTable"] = "senuc_plantoes";

//	field labels
$fieldLabelssenuc_plantoes = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["id_professor"] = "Professor";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["id_professor"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["materia"] = "Materia";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["materia"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["dias_semana"] = "Dias Semana";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["dias_semana"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["hora_inicio"] = "Hora Inicio";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["hora_inicio"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["hora_fim"] = "Hora Fim";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["hora_fim"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["data_insert"] = "Data Insert";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["data_insert"] = "";
	$fieldLabelssenuc_plantoes["Portuguese(Brazil)"]["id_nucleo"] = "Nucleo";
	$fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]["id_nucleo"] = "";
	if (count($fieldToolTipssenuc_plantoes["Portuguese(Brazil)"]))
		$tdatasenuc_plantoes[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_plantoes[".NCSearch"] = true;



$tdatasenuc_plantoes[".shortTableName"] = "senuc_plantoes";
$tdatasenuc_plantoes[".nSecOptions"] = 1;
$tdatasenuc_plantoes[".recsPerRowList"] = 1;
$tdatasenuc_plantoes[".mainTableOwnerID"] = "id_nucleo";
$tdatasenuc_plantoes[".moveNext"] = 1;
$tdatasenuc_plantoes[".nType"] = 0;

$tdatasenuc_plantoes[".strOriginalTableName"] = "senuc_plantoes";




$tdatasenuc_plantoes[".showAddInPopup"] = true;

$tdatasenuc_plantoes[".showEditInPopup"] = true;

$tdatasenuc_plantoes[".showViewInPopup"] = true;

$tdatasenuc_plantoes[".fieldsForRegister"] = array();

$tdatasenuc_plantoes[".listAjax"] = false;

	$tdatasenuc_plantoes[".audit"] = false;

	$tdatasenuc_plantoes[".locking"] = false;

$tdatasenuc_plantoes[".listIcons"] = true;
$tdatasenuc_plantoes[".edit"] = true;
$tdatasenuc_plantoes[".view"] = true;

$tdatasenuc_plantoes[".exportTo"] = true;

$tdatasenuc_plantoes[".printFriendly"] = true;

$tdatasenuc_plantoes[".delete"] = true;

$tdatasenuc_plantoes[".showSimpleSearchOptions"] = false;

$tdatasenuc_plantoes[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_plantoes[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_plantoes[".isUseAjaxSuggest"] = true;

$tdatasenuc_plantoes[".rowHighlite"] = true;

// button handlers file names
$tdatasenuc_plantoes[".isUsebuttonHandlers"] = true;

$tdatasenuc_plantoes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_plantoes[".isUseTimeForSearch"] = true;



$tdatasenuc_plantoes[".useDetailsPreview"] = true;

$tdatasenuc_plantoes[".allSearchFields"] = array();

$tdatasenuc_plantoes[".allSearchFields"][] = "id_professor";
$tdatasenuc_plantoes[".allSearchFields"][] = "materia";
$tdatasenuc_plantoes[".allSearchFields"][] = "dias_semana";
$tdatasenuc_plantoes[".allSearchFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".allSearchFields"][] = "hora_fim";
$tdatasenuc_plantoes[".allSearchFields"][] = "data_insert";
$tdatasenuc_plantoes[".allSearchFields"][] = "id_nucleo";

$tdatasenuc_plantoes[".googleLikeFields"][] = "id";
$tdatasenuc_plantoes[".googleLikeFields"][] = "id_professor";
$tdatasenuc_plantoes[".googleLikeFields"][] = "materia";
$tdatasenuc_plantoes[".googleLikeFields"][] = "dias_semana";
$tdatasenuc_plantoes[".googleLikeFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".googleLikeFields"][] = "hora_fim";
$tdatasenuc_plantoes[".googleLikeFields"][] = "data_insert";
$tdatasenuc_plantoes[".googleLikeFields"][] = "id_nucleo";


$tdatasenuc_plantoes[".advSearchFields"][] = "id_professor";
$tdatasenuc_plantoes[".advSearchFields"][] = "materia";
$tdatasenuc_plantoes[".advSearchFields"][] = "dias_semana";
$tdatasenuc_plantoes[".advSearchFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".advSearchFields"][] = "hora_fim";
$tdatasenuc_plantoes[".advSearchFields"][] = "data_insert";
$tdatasenuc_plantoes[".advSearchFields"][] = "id_nucleo";

$tdatasenuc_plantoes[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main
	


$tdatasenuc_plantoes[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_plantoes[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_plantoes[".orderindexes"] = array();

$tdatasenuc_plantoes[".sqlHead"] = "SELECT id,   id_professor,   materia,   dias_semana,   hora_inicio,   hora_fim,   data_insert,   id_nucleo";
$tdatasenuc_plantoes[".sqlFrom"] = "FROM senuc_plantoes";
$tdatasenuc_plantoes[".sqlWhereExpr"] = "";
$tdatasenuc_plantoes[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_plantoes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_plantoes[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_plantoes = array();
$tableKeyssenuc_plantoes[] = "id";
$tdatasenuc_plantoes[".Keys"] = $tableKeyssenuc_plantoes;

$tdatasenuc_plantoes[".listFields"] = array();
$tdatasenuc_plantoes[".listFields"][] = "id_professor";
$tdatasenuc_plantoes[".listFields"][] = "materia";
$tdatasenuc_plantoes[".listFields"][] = "dias_semana";
$tdatasenuc_plantoes[".listFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".listFields"][] = "hora_fim";
$tdatasenuc_plantoes[".listFields"][] = "data_insert";
$tdatasenuc_plantoes[".listFields"][] = "id_nucleo";

$tdatasenuc_plantoes[".viewFields"] = array();
$tdatasenuc_plantoes[".viewFields"][] = "id_professor";
$tdatasenuc_plantoes[".viewFields"][] = "materia";
$tdatasenuc_plantoes[".viewFields"][] = "dias_semana";
$tdatasenuc_plantoes[".viewFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".viewFields"][] = "hora_fim";
$tdatasenuc_plantoes[".viewFields"][] = "data_insert";
$tdatasenuc_plantoes[".viewFields"][] = "id_nucleo";

$tdatasenuc_plantoes[".addFields"] = array();
$tdatasenuc_plantoes[".addFields"][] = "id_professor";
$tdatasenuc_plantoes[".addFields"][] = "materia";
$tdatasenuc_plantoes[".addFields"][] = "dias_semana";
$tdatasenuc_plantoes[".addFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".addFields"][] = "hora_fim";

$tdatasenuc_plantoes[".inlineAddFields"] = array();

$tdatasenuc_plantoes[".editFields"] = array();
$tdatasenuc_plantoes[".editFields"][] = "id_professor";
$tdatasenuc_plantoes[".editFields"][] = "materia";
$tdatasenuc_plantoes[".editFields"][] = "dias_semana";
$tdatasenuc_plantoes[".editFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".editFields"][] = "hora_fim";

$tdatasenuc_plantoes[".inlineEditFields"] = array();

$tdatasenuc_plantoes[".exportFields"] = array();
$tdatasenuc_plantoes[".exportFields"][] = "id_professor";
$tdatasenuc_plantoes[".exportFields"][] = "materia";
$tdatasenuc_plantoes[".exportFields"][] = "dias_semana";
$tdatasenuc_plantoes[".exportFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".exportFields"][] = "hora_fim";
$tdatasenuc_plantoes[".exportFields"][] = "data_insert";
$tdatasenuc_plantoes[".exportFields"][] = "id_nucleo";

$tdatasenuc_plantoes[".printFields"] = array();
$tdatasenuc_plantoes[".printFields"][] = "id_professor";
$tdatasenuc_plantoes[".printFields"][] = "materia";
$tdatasenuc_plantoes[".printFields"][] = "dias_semana";
$tdatasenuc_plantoes[".printFields"][] = "hora_inicio";
$tdatasenuc_plantoes[".printFields"][] = "hora_fim";
$tdatasenuc_plantoes[".printFields"][] = "data_insert";
$tdatasenuc_plantoes[".printFields"][] = "id_nucleo";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["id"] = $fdata;
//	id_professor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_professor";
	$fdata["GoodName"] = "id_professor";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Professor"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_professor"; 
		$fdata["FullName"] = "id_professor";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_professores";
	$edata["LookupOrderBy"] = "";
	
		
		$edata["LookupWhere"] = " idnucleo = " . $_SESSION["idnucleo"];
	
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["id_professor"] = $fdata;
//	materia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "materia";
	$fdata["GoodName"] = "materia";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Materia"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "materia"; 
		$fdata["FullName"] = "materia";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "materia";
	
		
	$edata["LookupTable"] = "materias";
	$edata["LookupOrderBy"] = "materia";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["materia"] = $fdata;
//	dias_semana
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "dias_semana";
	$fdata["GoodName"] = "dias_semana";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Dias Semana"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "dias_semana"; 
		$fdata["FullName"] = "dias_semana";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Checkbox");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 3;
			
		$edata["HorizontalLookup"] = true;
	
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "dia_semana";
	
		
	$edata["LookupTable"] = "semana";
	$edata["LookupOrderBy"] = "id";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
		$edata["Multiselect"] = true; 
	$edata["SelectSize"] = 1;
//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["dias_semana"] = $fdata;
//	hora_inicio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "hora_inicio";
	$fdata["GoodName"] = "hora_inicio";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Hora Inicio"; 
	$fdata["FieldType"] = 134;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "hora_inicio"; 
		$fdata["FullName"] = "hora_inicio";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Time");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Time");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 1,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["hora_inicio"] = $fdata;
//	hora_fim
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "hora_fim";
	$fdata["GoodName"] = "hora_fim";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Hora Fim"; 
	$fdata["FieldType"] = 134;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "hora_fim"; 
		$fdata["FullName"] = "hora_fim";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Time");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Time");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 1,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["hora_fim"] = $fdata;
//	data_insert
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "data_insert";
	$fdata["GoodName"] = "data_insert";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Data Insert"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_insert"; 
		$fdata["FullName"] = "data_insert";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["data_insert"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_plantoes";
	$fdata["Label"] = "Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "id_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_plantoes["id_nucleo"] = $fdata;

	
$tables_data["senuc_plantoes"]=&$tdatasenuc_plantoes;
$field_labels["senuc_plantoes"] = &$fieldLabelssenuc_plantoes;
$fieldToolTips["senuc_plantoes"] = &$fieldToolTipssenuc_plantoes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_plantoes"] = array();
$dIndex = 1-1;
			$strOriginalDetailsTable="senuc_plantoes_aluno";
	$detailsParam["dDataSourceTable"]="senuc_plantoes_aluno";
	$detailsParam["dOriginalTable"]=$strOriginalDetailsTable;
	$detailsParam["dShortTable"]="senuc_plantoes_aluno";
	$detailsParam["masterKeys"]=array();
	$detailsParam["detailKeys"]=array();
	$detailsParam["dispChildCount"]= "1";
	$detailsParam["hideChild"]="0";
	$detailsParam["previewOnList"]= 1;
	$detailsParam["previewOnAdd"]= 0;
	$detailsParam["previewOnEdit"]= 0;
	$detailsParam["previewOnView"]= 0;
		
	$detailsTablesData["senuc_plantoes"][$dIndex] = $detailsParam;
	
		
		$detailsTablesData["senuc_plantoes"][$dIndex]["masterKeys"][]="id";
		$detailsTablesData["senuc_plantoes"][$dIndex]["detailKeys"][]="id_plantao";

	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_plantoes"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_plantoes"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_plantoes"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_plantoes"][$mIndex]["detailKeys"][]="id_nucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_plantoes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,   id_professor,   materia,   dias_semana,   hora_inicio,   hora_fim,   data_insert,   id_nucleo";
$proto0["m_strFrom"] = "FROM senuc_plantoes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_plantoes"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "id_professor",
	"m_strTable" => "senuc_plantoes"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "materia",
	"m_strTable" => "senuc_plantoes"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_semana",
	"m_strTable" => "senuc_plantoes"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "hora_inicio",
	"m_strTable" => "senuc_plantoes"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "hora_fim",
	"m_strTable" => "senuc_plantoes"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "data_insert",
	"m_strTable" => "senuc_plantoes"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_plantoes"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "senuc_plantoes";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "id";
$proto22["m_columns"][] = "id_professor";
$proto22["m_columns"][] = "materia";
$proto22["m_columns"][] = "dias_semana";
$proto22["m_columns"][] = "hora_inicio";
$proto22["m_columns"][] = "hora_fim";
$proto22["m_columns"][] = "data_insert";
$proto22["m_columns"][] = "id_nucleo";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_alias"] = "";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = "0";
$proto23["m_inBrackets"] = "0";
$proto23["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_plantoes = createSqlQuery_senuc_plantoes();
								$tdatasenuc_plantoes[".sqlquery"] = $queryData_senuc_plantoes;
	
if(isset($tdatasenuc_plantoes["field2"])){
	$tdatasenuc_plantoes["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_plantoes["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_plantoes["field2"]["LookupType"] = 4;
	$tdatasenuc_plantoes["field2"]["LinkField"] = "email";
	$tdatasenuc_plantoes["field2"]["DisplayField"] = "name";
	$tdatasenuc_plantoes[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_plantoes_events.php"));
$tableEvents["senuc_plantoes"] = new eventclass_senuc_plantoes;
$tdatasenuc_plantoes[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_plantoes");

?>